| Home | Libraries | People | FAQ | More

#### ip::icmp::resolver_iterator

The type of a resolver iterator.

    typedef basic_resolver_iterator< icmp > resolver_iterator;

###### Member Functions

Name | Description
--- | ---
basic_resolver_iterator | Default constructor creates an end iterator.
create | Create an iterator from an addrinfo list returned by getaddrinfo.

The ip::basic_resolver_iterator class template is used to define iterators over the results returned by a resolver.

The iterator's value_type, obtained when the iterator is dereferenced, is:

    const basic_resolver_entry<InternetProtocol>

###### Thread Safety

Distinct objects: Safe.

Shared objects: Unsafe.